/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log;

import java.util.logging.Level;
import java.util.logging.LogRecord;

public final class LogRecordHelper {

    private static final String TEST_LOGGER_NAME = "myLogger";

    private LogRecordHelper() {
    }

    /**
     * Create a log record with the logger name equals to myLogger. Set the
     * event time with the specified value.
     * 
     * @param level
     * @param msg
     * @param time
     * @return
     */
    public static final LogRecord newLogRecord(Level level, String msg, long time) {
        LogRecord logRecord = new LogRecord(level, msg);
        logRecord.setMillis(time);
        logRecord.setLoggerName(TEST_LOGGER_NAME);
        return logRecord;
    }

    public static final LogRecord newLogRecordWithException(java.util.logging.Level level,
            String msg, long time, Throwable t) {
        LogRecord logRecord = newLogRecord(level, msg, time);
        logRecord.setThrown(t);
        return logRecord;
    }
}
