/**
 * Copyright (c) 2017-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log.handler;

import java.io.IOException;
import java.util.List;
import java.util.logging.ErrorManager;

import com.ebmwebsourcing.easycommons.properties.PropertiesException;

public abstract class AbstractTestPetalsExchangeDumperFileHandler extends AbstractTestPetalsFileHandler {

    protected PetalsExchangeDumperFileHandler createLogHandler(final List<String> reportedErrors) throws IOException,
            PropertiesException {
        final PetalsExchangeDumperFileHandler handler = new PetalsExchangeDumperFileHandler();
        handler.setErrorManager(new ErrorManager() {
            @Override
            public synchronized void error(String msg, Exception ex, int code) {
                reportedErrors.add(msg);
            }
        });
        return handler;
    }

}
